import request from "@/utils/request";

class SteelAPI {
  static queryRegis(data: PageParams) {
    return request<any, PageResult<SteelDTO[]>>({
      url: `/api/v1/trialApplication/findPage`,
      method: "get",
      params: data,
    });
  }

  static updateRegisById(data: SteelDTO) {
    return request({
      url: `/api/v1/trialApplication/updateById`,
      method: "post",
      data: data,
    });
  }
}

export default SteelAPI;

export interface PageParams {
  inquiryNo?: string;
  contactInfo?: string;
  status?: number; // 1=已联系 0=待联系
  startTime?: string | null;
  endTime?: string | null;
  pageSize?: number;
  pageNum?: number;
  range?: string[];
  companyName?: string;
}

export interface SteelDTO {
  id?: number;
  status?: number; // 1=已联系 0=待联系
  remarks?: string;
}
